cURL
curl --request GET \ --url https://api.quiva.ai/storage/streams \ --header 'Authorization: Bearer <token>'
200
multiple_streams
{ "body": { "results": [ { "name": "user-events", "description": "User activity events", "subjects": [ "events.user.*" ], "metadata": {}, "created": "2024-01-15T10:30:00Z", "messages_total": 15420 }, { "name": "system-logs", "description": "System log aggregation", "subjects": [ "logs.system.*", "logs.app.*" ], "metadata": {}, "created": "2024-01-10T08:00:00Z", "messages_total": 892341 }, { "name": "order-processing", "description": "E-commerce order events", "subjects": [ "orders.*" ], "metadata": {}, "created": "2024-02-01T14:20:00Z", "messages_total": 5230 } ], "results_total": 3 }, "metadata": { "duration": "12ms" } }
Retrieves a list of all streams
Documentation IndexFetch the complete documentation index at: https://docs.quiva.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.quiva.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successfully retrieved stream list
Show child attributes